Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model
[Java] Interface DomainObjectSet

    java.lang.Iterable
      org.gradle.tooling.model.DomainObjectSet
          java.util.Collection

    public interface DomainObjectSet
    extends java.util.Set

A set of domain objects of type T.

Parameters:
  `` - The type of objects in this collection.

Method Summary
`java.util.List` | `getAll()` Returns the elements of this set as a list, in iteration order of this set.
`T` | `getAt(int index)` Returns the element of this set at the given index in iteration order of this set.

Methods inherited from interface java.util.Set
java.util.Set#add(java.lang.Object), java.util.Set#equals(java.lang.Object), java.util.Set#hashCode(), java.util.Set#clear(), java.util.Set#size(), java.util.Set#isEmpty(), java.util.Set#contains(java.lang.Object), java.util.Set#addAll(java.util.Collection), java.util.Set#toArray(), java.util.Set#toArray([Ljava.lang.Object;), java.util.Set#iterator(), java.util.Set#remove(java.lang.Object), java.util.Set#removeAll(java.util.Collection), java.util.Set#containsAll(java.util.Collection), java.util.Set#retainAll(java.util.Collection)

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getAll

    public java.util.List getAll()

  Returns the elements of this set as a list, in iteration order of this set.
  Returns:
    The elements.

### getAt

    public T getAt(int index)

  Returns the element of this set at the given index in iteration order of this set.
  Parameters:
    `index` - The index of the element to get.
  Returns:
    The element.

Groovy Documentation